## GOCmdContext GOCmdContext |

## Synopsis

    #define             GO_TYPE_CMD_CONTEXT
    #define             GO_CMD_CONTEXT                      (o)
    #define             GO_IS_CMD_CONTEXT                   (o)
                        GOCmdContext;
    GType               go_cmd_context_get_type             (void);
    void                go_cmd_context_error                (GOCmdContext *cc,
                                                             GError *err);
    char *              go_cmd_context_get_password         (GOCmdContext *cc,
                                                             char const *fname);
    void                go_cmd_context_set_sensitive        (GOCmdContext *cc,
                                                             gboolean flag);
    void                go_cmd_context_error_system         (GOCmdContext *cc,
                                                             char const *msg);
    void                go_cmd_context_error_import         (GOCmdContext *cc,
                                                             char const *msg);
    void                go_cmd_context_error_export         (GOCmdContext *cc,
                                                             char const *msg);
    void                go_cmd_context_error_invalid        (GOCmdContext *cc,
                                                             char const *msg,
                                                             char const *val);
    void                go_cmd_context_error_info           (GOCmdContext *cc,
                                                             GOErrorInfo *stack);
    GQuark              go_error_system                     (void);
    GQuark              go_error_import                     (void);
    GQuark              go_error_export                     (void);
    GQuark              go_error_invalid                    (void);

## Object Hierarchy

      GInterface
       +----GOCmdContext

## Known Implementations

GOCmdContext is implemented by GOIOContext.

## Description

## Details

### GO_TYPE_CMD_CONTEXT

    #define GO_TYPE_CMD_CONTEXT        (go_cmd_context_get_type ())

### GO_CMD_CONTEXT()

    #define GO_CMD_CONTEXT(o)          (G_TYPE_CHECK_INSTANCE_CAST ((o), GO_TYPE_CMD_CONTEXT, GOCmdContext))

`o` : |

### GO_IS_CMD_CONTEXT()

    #define GO_IS_CMD_CONTEXT(o)       (G_TYPE_CHECK_INSTANCE_TYPE ((o), GO_TYPE_CMD_CONTEXT))

`o` : |

### GOCmdContext

    typedef struct _GOCmdContext GOCmdContext;

### go_cmd_context_get_type ()

    GType               go_cmd_context_get_type             (void);

Returns : |

### go_cmd_context_error ()

    void                go_cmd_context_error                (GOCmdContext *cc,
                                                             GError *err);

`cc` : |
`err` : |

### go_cmd_context_get_password ()

    char *              go_cmd_context_get_password         (GOCmdContext *cc,
                                                             char const *fname);

`cc` : |
`fname` : |
Returns : |

### go_cmd_context_set_sensitive ()

    void                go_cmd_context_set_sensitive        (GOCmdContext *cc,
                                                             gboolean flag);

`cc` : |
`flag` : |

### go_cmd_context_error_system ()

    void                go_cmd_context_error_system         (GOCmdContext *cc,
                                                             char const *msg);

`cc` : |
`msg` : |

### go_cmd_context_error_import ()

    void                go_cmd_context_error_import         (GOCmdContext *cc,
                                                             char const *msg);

`cc` : |
`msg` : |

### go_cmd_context_error_export ()

    void                go_cmd_context_error_export         (GOCmdContext *cc,
                                                             char const *msg);

`cc` : |
`msg` : |

### go_cmd_context_error_invalid ()

    void                go_cmd_context_error_invalid        (GOCmdContext *cc,
                                                             char const *msg,
                                                             char const *val);

`cc` : |
`msg` : |
`val` : |

### go_cmd_context_error_info ()

    void                go_cmd_context_error_info           (GOCmdContext *cc,
                                                             GOErrorInfo *stack);

`cc` : |
`stack` : |

### go_error_system ()

    GQuark              go_error_system                     (void);

Returns : |

### go_error_import ()

    GQuark              go_error_import                     (void);

Returns : |

### go_error_export ()

    GQuark              go_error_export                     (void);

Returns : |

### go_error_invalid ()

    GQuark              go_error_invalid                    (void);

Returns : |